주문 목록 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/orders \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/orders"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": 1,
"code": "order_AbCdEfGhI",
"customerName": "테스트 고객",
"type": "RECURRING_INITIAL",
"productName": "Basic Product (Basic Plan)",
"items": [
{
"id": 1,
"code": "order_item_AbCdEfGhI",
"paidAmount": 0,
"currency": "KRW",
"quantity": 0,
"price": {
"id": 1,
"code": "price_AbCdEfGhI",
"price": 10000,
"unit": "개",
"planName": "Basic Plan",
"planDescription": "",
"type": "FLAT",
"enabledFirstSalePrice": false,
"firstSalePrice": 0,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": null,
"setupOption": null,
"options": [],
"volumes": [],
"additionalBilling": null,
"recurring": {
"id": 1,
"intervalCount": 1,
"aggregateUsageType": "SUM",
"interval": "MONTH",
"usageType": "LICENSED"
},
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "Basic Plan",
"description": "",
"detailDescription": "",
"isHiddenFromShop": false,
"adminName": null
},
"firstSale": {
"enabled": false,
"price": 0
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": null
},
"basicServing": 0,
"bundlePrices": [],
"onetimeBundlePrice": 0,
"order": 0
},
"product": {
"id": 1,
"code": "product_AbCdEfGhI",
"type": "SOFTWARE",
"status": "SALE",
"name": "Basic Product",
"subTitle": null,
"featuredImageUrl": "",
"imageUrls": [],
"description": "",
"summary": null,
"reasonOfReject": null,
"sku": null,
"quantity": null,
"combinedProducts": [],
"optionGroups": [],
"useCombination": true,
"optionCombinations": [],
"prices": [
{
"id": 1,
"code": "price_AbCdEfGhI",
"price": 10000,
"unit": "개",
"planName": "Basic Plan",
"planDescription": "",
"type": "FLAT",
"enabledFirstSalePrice": false,
"firstSalePrice": 0,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": null,
"setupOption": null,
"options": [],
"volumes": [],
"additionalBilling": null,
"recurring": {
"id": 1,
"intervalCount": 1,
"aggregateUsageType": "SUM",
"interval": "MONTH",
"usageType": "LICENSED"
},
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "Basic Plan",
"description": "",
"detailDescription": "",
"isHiddenFromShop": false,
"adminName": null
},
"firstSale": {
"enabled": false,
"price": 0
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": null
},
"basicServing": 0,
"bundlePrices": [],
"onetimeBundlePrice": 0,
"order": 0
}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"enabledDemo": false,
"demoPeriod": 7,
"demoPeriodUnit": "DAY",
"categories": [],
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"productOrder": 0,
"isOnetimePurchasable": false,
"eventBadge": [],
"notice": null,
"useWidget": {
"useDemo": false,
"useEventBadge": false,
"useOnetimePurchasable": false,
"useNotice": false
},
"groupId": null,
"countrySetting": null,
"availableRegions": []
},
"type": "SKU",
"status": "CREATED",
"featuredImageUrl": "",
"selectedProductOptionLabel": "",
"selectedProductOptionIds": [],
"createdAt": "9999-01-01T00:00:00",
"canceledDateTime": null,
"orderItemCode": "order_item_AbCdEfGhI",
"modifiedAt": "9999-01-01T00:00:00",
"orderedProductType": "SOFTWARE",
"orderedProductName": "Basic Product",
"orderedPlanName": "Basic Plan",
"discountName": null,
"relatedOrderItemId": null,
"priceSetupType": null,
"demoCycle": null,
"usedCount": null,
"usageFormula": null,
"deliveryCode": null,
"histories": null,
"minimumQuantity": 1,
"maximumQuantity": null,
"parentOrderItemCode": null,
"unitChangeHistory": null,
"unitCount": null
}
],
"price": 0,
"paymentDate": null,
"paymentMethod": null,
"purchaseDeadline": "9999-01-01T00:00:00",
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"claimMethodType": "PRE",
"paidAmount": 0,
"returnedAmount": 0,
"leftAmount": 0,
"exchangeRate": 1,
"region": {
"code": "KR",
"currency": "KRW",
"country": "South Korea",
"countryCode": "KR",
"state": null,
"language": "ko"
},
"currency": "KRW",
"baseCurrency": "KRW"
}
],
"pageable": {
"page": 0,
"size": 20,
"sortDir": "DESC",
"sort": "createdAt",
"pageSize": 20,
"pageNumber": 0,
"offset": 0,
"paged": true,
"unpaged": false
},
"last": false,
"totalElements": 1,
"totalPages": 10,
"sort": {
"unsorted": false,
"sorted": true,
"empty": false
},
"number": 0,
"first": true,
"numberOfElements": 20,
"size": 20,
"empty": false
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}주문 API
주문 목록 조회
주문 목록을 반환합니다.
GET
/
api
/
v1
/
orders
주문 목록 조회
Authorizations
Query Parameters
조회 시작 시점
조회 끝 시점
페이지 번호(기본값: 0)
페이지 크기(기본값: 20)
정렬 방향(오름차순: ASC, 내림차순: DESC(기본값))
정렬 기준값 - 기본값: 생성 시점
검색 키워드
검색 대상(orderCode, productName, customerName, phone, email)
지정한 상태만 목록을 반환하게 합니다.
Available options:
CREATED, DEPOSIT_WAITING, CANCELLED, PAID, CANCELLATION_REQUEST, CANCELLATION_REQUEST_CANCELLED, CANCELLATION_REQUEST_DENIED, CANCELLATION_REFUNDING, CANCELLATION_REFUNDED, CANCELLATION_REFUNDED_PARTIALLY, ORDER_DELIVERY_PREPARING, ORDER_DELIVERY_SUSPENDED, ORDER_DELIVERY_ON_THE_WAY, ORDER_DELIVERY_COMPLETED, EXCHANGE_REQUEST, EXCHANGE_REQUEST_CANCELLED, EXCHANGE_REQUEST_REJECTED, EXCHANGE_COLLECTION_PREPARING, EXCHANGE_COLLECTION_ON_THE_WAY, EXCHANGE_COLLECTION_COMPLETED, EXCHANGE_DELIVERY_PREPARING, EXCHANGE_DELIVERY_ON_THE_WAY, EXCHANGE_DELIVERY_COMPLETED, EXCHANGE_REJECT_DELIVERY_PREPARING, EXCHANGE_REJECT_DELIVERY_ON_THE_WAY, EXCHANGE_REJECT_DELIVERY_COMPLETED, EXCHANGE_PENDING, EXCHANGE_REJECTED, RETURN_REQUEST, RETURN_REQUEST_CANCELLED, RETURN_REQUEST_REJECTED, RETURN_COLLECTION_PREPARING, RETURN_COLLECTION_ON_THE_WAY, RETURN_COLLECTION_COMPLETED, RETURN_REJECT_DELIVERY_PREPARING, RETURN_REJECT_DELIVERY_ON_THE_WAY, RETURN_REJECT_DELIVERY_COMPLETED, RETURN_PENDING, RETURN_REJECTED, RETURN_REFUNDING, RETURN_REFUNDED, RETURN_REFUNDED_PARTIALLY, PAYMENT_FAILURE, FINISHED_EXCHANGE_AVAILABLE, FINISHED_RETURN_AVAILABLE, FINISHED_SUCCESSFULLY Response
정상적으로 조회됨
주문 목록
Show child attributes
Show child attributes
목록이 비어있는지 여부
첫 번째 페이지인지 여부
마지막 페이지인지 여부
페이지 번호
페이지 내 고객 목록 개수
Pagination 정보
Show child attributes
Show child attributes
페이지 크기
정렬 정보
Show child attributes
Show child attributes
전체 고객 개수
전체 페이지수
⌘I